Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
mileage
/
trips
List trips
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/mileage/trips \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vehicle": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "make_and_model": "<string>",
        "year": 123,
        "is_primary": true,
        "is_eligible_for_deletion": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "type": "com.layerfi.routers.ApiVehicle",
        "external_id": "<string>",
        "license_plate": "<string>",
        "vin": "<string>",
        "description": "<string>",
        "archived_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "distance": "<string>",
      "trip_date": "2023-12-25",
      "mileage_deduction_rate": "<string>",
      "estimated_deduction": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "com.layerfi.routers.ApiTrip",
      "external_id": "<string>",
      "start_address": "<string>",
      "end_address": "<string>",
      "description": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "type": "request_metadata",
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Query Parameters

include_deleted
boolean
default:false

Include deleted trips in the response.

purpose
enum<string>

Filter by trip purpose. Can be specified multiple times for multiple purposes.

Available options:
UNREVIEWED,
BUSINESS,
PERSONAL
vehicle_ids
string

Comma-separated list of vehicle UUIDs to filter by.

start_date
string<date>

Filter trips on or after this date (YYYY-MM-DD).

end_date
string<date>

Filter trips on or before this date (YYYY-MM-DD).

year
integer

Filter trips by year.

q
string

Search query to filter trips by description, start address, end address, or vehicle make/model.

Response

Paginated list of trips.

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.